Search conversation events
GET /api/conversations/{conversation_id}/events/search
Search / List local events
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
conversation_id | path | string | yes | — |
page_id | query | `string | null` | no |
limit | query | integer | no | — |
kind | query | `string | null` | no |
source | query | `string | null` | no |
body | query | `string | null` | no |
sort_order | query | EventSortOrder | no | — |
timestamp__gte | query | `string | null` | no |
timestamp__lt | query | `string | null` | no |
Responses
| Status | Description |
|---|---|
200 | Successful Response |
404 | Conversation not found |
422 | Validation Error |
Response body
| Field | Type | Required | Description |
|---|---|---|---|
items | Event[] | yes | — |
next_page_id | `string | null` | no |
Operation ID: search_conversation_events_api_conversations__conversation_id__events_search_get